play.classloading

## Class ApplicationClassloaderState

- java.lang.Object
- - play.classloading.ApplicationClassloaderState

-     public class ApplicationClassloaderState
      extends java.lang.Object

  Each unique instance of this class represent a State of the ApplicationClassloader. When some classes is reloaded, them the ApplicationClassloader get a new state. This makes it easy for other parts of Play to cache stuff based on the the current State of the ApplicationClassloader.. They can store the reference to the current state, then later, before reading from cache, they could check if the state of the ApplicationClassloader has changed..

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationClassloaderState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationClassloaderState

          public ApplicationClassloaderState()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly